Article ID: 1416, created on Oct 6, 2008, last review on May 9, 2014

  • Applies to:
  • Plesk for Linux/Unix


For example if you execute 'host' command from a PHP script (even if you already recompiled PHP and Apache) you get:

host: isc_socket_create: not enough free resources
socket.c:2117: REQUIRE(maxfd <= (int)1024) failed.

The reason of the error is that 'bind-utils' (and another software) are also affected by FD_SETSIZE problem and even if it is not directly related to Apache or PHP they should be recompiled too if some PHP scripts use them. See for more details the article 260.

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF